Subject: Re: [PWE3] IPR issue with draft-ietf-pwe3-p2mp-pw-requirements-06

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 7 Jan 2014 10:46:03 -0000

Hi Andy,

Let me speak as an individual contributor.

I think this may have got buried under the pile of Christmas cards.

Looking at the IPR terms and the disclosure dates, I can't say that I am
personally happy to have this I-D go ahead covered by this disclosure.

While I accept that this document is a requirements spec and so it may be hard
to conceive how the IPR applies (there being nothing in a requirements spec that
I can see would be implemented) i think that the requirements necessarily drive
the solutions and thus a solution is likely to be caught by this IPR.

However, it seems to my reading of the reported patent that this IPR covers MP2P
PWs.
Looking at the I-D, the mention of MP2P is very limited (at the bottom of
section 3.1).

My suggestion, therefore, is to remove the text in section 3.1 that may be
encumbered so that this I-D can move ahead without any disclosed IPR. i think
that would be a relatively minor change (although it is text that has been in
the I-D for a long time).

What do the authors and WG think? Would removal of an option for the creation of
a return path diminish the document?

Thanks,
Adrian

> -----Original Message-----
> From: pwe3 [mailto:[email-masked]] On Behalf Of Andrew G. Malis
> Sent: 23 December 2013 20:03
> To: [email-masked]
> Cc: [email-masked]
> Subject: [PWE3] IPR issue with draft-ietf-pwe3-p2mp-pw-requirements-06
> 
> I would like to make the WG aware of a potential IPR issue with
> draft-ietf-pwe3-p2mp-pw-requirements-06, which I've been getting ready
> for submission to the IESG. On Nov. 13, 2013, ORANGE filed an IPR
> disclosure, https://datatracker.ietf.org/ipr/2249/ . The IPR concerns
> multipoint to point PWs, which are are one of two optional return
> paths discussed in draft-ietf-pwe3-p2mp-pw-requirements-06.
> Point-to-point PWs are the other optional return path discussed in the
> draft.
> 
> Given that this IPR was disclosed late in the process, before
> submitting this draft to the IESG, I would like to get a sense of the
> WG as to whether it is OK to submit the draft as is, or if the WG
> would prefer that the optional MP2P return path be removed from the
> draft.
> 
> As this is over the holidays, and many people are on vacation, I won't
> take any action on the draft until at least the second week of
> January.
> 
> Thanks,
> Andy
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pwe3

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 7 Jan 2014 06:02:47 -0500

Adrian,

Thanks!

WG and draft authors,

> a return path diminish the document?

Any other opinions?

Thanks,
Andy

---

From: "Giles Heron (giheron)" <[email-masked]>
Date: Wed, 8 Jan 2014 18:00:24 +0000

I think we have consensus amongst the authors that we can remove the mention of P2P and MP2P in section 3.1 - leaving any details of how to implement the return path to solution docs.

So we'll end section 3.1 with "For that purpose the P2MP PW solution MAY support optional bidirectional connectivity between the Root PE and each Leaf PE."

does anyone object to that?

Giles

---

From: "Andrew G. Malis" <[email-masked]>
Date: Fri, 10 Jan 2014 09:12:29 -0500

Not having seen any further discussion on this thread, I would like
the authors to implement Giles' suggestion here. Once the new revision
has been uploaded, I'll complete the process of submitting the draft
to the IESG for publication.

Thanks,
Andy